
import torch
import torch.nn as nn
import torch.optim as optim
import torch.nn.functional as F
import torch.distributions as distributions

class MLP(nn.Module):
    def __init__(self, input_size, hidden_size, output_size, dropout=.5):
        super().__init__()
        self.fc_1 = nn.Linear(input_size, hidden_size)
        self.fc_2 = nn.Linear(hidden_size, output_size)
        self.dropout = nn.Dropout(dropout)
  
    def forward(self, x):
        x = self.fc_1(x)
        x = self.dropout(x)
        x = F.relu(x)
        x = self.fc_2(x)
        return x
    
def train(model, df, batch_size):
   
    optimizer = optim.Adam(model.parameters(), lr=1e-3)
    model.train()
    for epoch in range(300):
        idx = 0
        for batch in df.iloc(idx,idx+batch_size):
            optimizer.zer
            values = model(batch[:-1])
            criterion = nn.MSELoss()
            loss = criterion(values, batch[-1])
            loss.backward()
            optimizer.step()
    model.eval()
    return model



